::===========================================================
::     Beispiel Bodennutzung Österreich - Geopackage      ===
:: ==========================================================

::===========================================================
:: Schigebiete                                            ===
::===========================================================
ogr2ogr -lco ASPATIAL_VARIANT=GPKG_ATTRIBUTES -f GPKG -dsco VERSION=1.2 -oo SWAP_COORDINATES=NO -oo EXPOSE_METADATA_LAYERS=NO -oo REMOVE_UNUSED_FIELDS=YES -oo REMOVE_UNUSED_LAYERS=YES -s_srs EPSG:3035 -spat_srs EPSG:3035 -nlt CONVERT_TO_LINEAR -forceNullable ../Output/aktuelle_bodennutzung.gpkg GMLAS:../Input/schigebiete_2017.gml
ECHO == Schigebiete erfolgreich eingefügt ==

::===========================================================
:: Golfplätze                                             ===
::===========================================================
ogr2ogr -lco ASPATIAL_VARIANT=GPKG_ATTRIBUTES -f GPKG -dsco VERSION=1.2 -oo SWAP_COORDINATES=NO -oo EXPOSE_METADATA_LAYERS=YES -oo REMOVE_UNUSED_FIELDS=YES -oo REMOVE_UNUSED_LAYERS=YES -s_srs EPSG:3035 -spat_srs EPSG:3035 -nlt CONVERT_TO_LINEAR -forceNullable ../Output/aktuelle_bodennutzung.gpkg GMLAS:../Input/golf_2017_#_XlinkHref.gml -append
ECHO == Golfplätze erfolgreich eingefügt ==



::==============================================================
::       View Bodennutzung                                   ===
::==============================================================
ogr2ogr -f GPKG ../Output/aktuelle_bodennutzung.gpkg -nln bodennutzung -update -sql "SELECT "existinglanduseobject"."id", "existinglanduseobject"."inspireid_identifier_localid", "existinglanduseobject"."inspireid_identifier_namespace", "existinglanduseobject"."dataset_href", "existinglanduseobject"."geometry", "existinglanduseobject_hilucslanduse"."href" AS hilucs, "existinglanduseobject_specificlanduse"."href" AS bodennutzung_at FROM "existinglanduseobject", "existinglanduseobject_hilucslanduse", "existinglanduseobject_specificlanduse" WHERE "existinglanduseobject"."ogr_pkid" = "existinglanduseobject_hilucslanduse"."parent_ogr_pkid"  AND "existinglanduseobject"."ogr_pkid" = "existinglanduseobject_specificlanduse"."parent_ogr_pkid""  ../Output/aktuelle_bodennutzung.gpkg
ECHO== View Bodennutzung  erfolgreich erstellt ==




::====================================================================
:: SQL Statement für dier Erstellung des Views "Bodennutzung"     ====
::====================================================================
::SELECT "existinglanduseobject"."id",
::"existinglanduseobject"."inspireid_identifier_localid",
::"existinglanduseobject"."inspireid_identifier_namespace",
::"existinglanduseobject"."dataset_href",
::"existinglanduseobject"."geometry",
::"existinglanduseobject_hilucslanduse"."href",
::"existinglanduseobject_specificlanduse"."href" 
::FROM "existinglanduseobject", "existinglanduseobject_hilucslanduse", "existinglanduseobject_specificlanduse"
::WHERE "existinglanduseobject"."ogr_pkid" = "existinglanduseobject_hilucslanduse"."parent_ogr_pkid" AND "existinglanduseobject"."ogr_pkid" = "existinglanduseobject_specificlanduse"."parent_ogr_pkid"




SELECT "existinglanduseobject"."id", "existinglanduseobject"."inspireid_identifier_localid", "existinglanduseobject"."inspireid_identifier_namespace", "existinglanduseobject"."dataset_href", "existinglanduseobject"."geometry", "existinglanduseobject_hilucslanduse"."href", "existinglanduseobject_specificlanduse"."href"  FROM "existinglanduseobject", "existinglanduseobject_hilucslanduse", "existinglanduseobject_specificlanduse" WHERE "existinglanduseobject"."ogr_pkid" = "existinglanduseobject_hilucslanduse"."parent_ogr_pkid" AND "existinglanduseobject"."ogr_pkid" = "existinglanduseobject_specificlanduse"."parent_ogr_pkid"